petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecISCopy

Copies between a reduced vector and the appropriate elements of a full-space vector. vfull[is[i]] = vreduced[i]

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecISCopy(Vec vfull, IS is, ScatterMode mode, Vec vreduced)

### Input Parameters

| vfull | - the full-space vector
| is | - the index set for the reduced space
| mode | - the direction of copying, SCATTER_FORWARD or SCATTER_REVERSE
| vreduced | - the reduced-space vector

### Output Parameters

vfull -the sum of the full-space vector and reduced-space vector

### See Also

VecAXPY()

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages